## GtkDataboxScaleType GtkDataboxScaleType — scale type enumeration |

## Functions

GType | gtk_databox_scale_type_get_type ()

## Types and Values

enum | GtkDataboxScaleType

## Includes

    #include <gtkdatabox_scale.h>

## Description

This file adds the GtkDataboxScaleType enumeration used in several places.

## Functions

### gtk_databox_scale_type_get_type ()

    GType
    gtk_databox_scale_type_get_type (void);

Getter function for the GtkDataboxScaleType Gtype.

#### Returns

GType of GtkDataboxScaleType.

## Types and Values

### enum GtkDataboxScaleType

Scale type for GtkDatabox and GtkDataboxRuler objects.

See also: “scale_type_x”, “scale_type_y”

#### Members

GTK_DATABOX_SCALE_LINEAR | Linear scale |
GTK_DATABOX_SCALE_LOG2 | Logarithmic scale (base 2) |
GTK_DATABOX_SCALE_LOG | Logarithmic scale (base 10) |

## See Also

GtkDatabox, GtkDataboxRuler